Bug 234508 - bind package doesn't install default config and zone files anymore
bind package doesn't install default config and zone files anymore
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-29 14:48 EDT by Ralph Angenendt
Modified: 2013-04-30 19:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 05:30:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Angenendt 2007-03-29 14:48:36 EDT
Description of problem:

bind doesn't install the default config (named.conf) and zone files anymore

Version-Release number of selected component (if applicable):

9.3.3-7.el5

How reproducible:

Alway.
Steps to Reproduce:
1. Install bind
2. Find no config files

Additional info:

This is not a bug per se, but an unexpected change in behaviour from older
versions of RHEL, as the bind packages in EL3 and EL4 do install default config
files. 

There was a bug opened at http://bugs.centos.org/view.php?id=1870

I know that those files can be found in /usr/share/doc/bind*/sample, but I
expected at least a changelog entry explaining that.

As said: It is a change in expected behaviour and I don't really see the
advantage of bundling those files in DOC and not installing them as was the case
before.
Comment 1 Adam Tkac 2007-03-29 15:00:42 EDT
(In reply to comment #0)

Hi Ralph,

thanks for your report. You could make default configuration by
system-config-bind utility. If this utility find no configfiles, default
configuration is created. I'm not really sure if we need default configuration
installed. If you're using bind like local LAN nameserver you must write
configuration and nothing from default config is usable. If you need bind like
caching-nameserver you could install this package (this package contains default
configuration). So summary: if you need local caching-nameserver, please install
caching-nameserver package which could satisfy your demands. If you need create
local lan nameserver, really nothing from default config is usable for you (only
for manual purposes - and this is in sample directory). If you have different
opinion about this problem, please reopen this bug.

Regards, -A-
Comment 2 Ralph Angenendt 2007-03-29 15:05:59 EDT
No, it's okay. But this way a reference to the problem can be found :)

Thank you for your speedy answer.

Regards,

Ralph
Comment 3 Ralph Angenendt 2007-03-29 15:17:12 EDT
On second thought: Yes, I'd like to reopen. 

It really breaks expected behaviour (at least for people who also run RHEL3 or
4), so it should at least be documented *clearly* somewhere - changelog would be
a good place IMHO) or a README.RHEL in /usr/share/doc/bind*/. I had to look into
the spec file to see *why* /etc/named.conf is owned by bind, even though it
doesn't even exist.

This is not about readding those files, just about documenting the change in an
obvious place.

Regards,

Ralph
Comment 4 R P Herrold 2007-03-29 15:22:53 EDT
From a Release Engineering and a Support (load reduction) standpoint, an
undocumneted, (as in a changelog) altered behaviour, also needlessly adds load,
and a material change in the RHEL product.  As the RHEL 5 documentation does not
flag or mention this change that I can find (I reviewd the Release Notes, and
looked for the changelog, using rpm), it is not handled right.

Review process in RelEng needs to flag this kind of change, and avoid it.
Comment 5 Ralph Angenendt 2007-03-29 15:23:30 EDT
See also bug 216075 from Fedora Core 6.
Comment 6 Adam Tkac 2007-03-29 15:46:01 EDT
/etc/named.conf isn't owned by bind (%ghost macro, now does't owned by
anything). I think that differences like this are correct between RHEL releases.
We could discuss the best schema about bind configuration package-ownership. Put
here proposed schema or send it to my mail and I'm going to do thinking about
this to rhel5-U1. I don't think that changing release notes or changelog is
needed. It's standard development process. This bugreport now documented this
change :) Sorry for your early troubles with rhel5 bind. If you don't have any
ideas about future bind default configuration, please close.

Regards, Adam
Comment 7 Ralph Angenendt 2007-03-29 16:00:02 EDT
(In reply to comment #6)
> /etc/named.conf isn't owned by bind (%ghost macro, now does't owned by
> anything). 

Hmmm:

[angenenr@shutdown ~]$rpm -qf /etc/named.conf
bind-9.3.3-7.el5.x86_64
[angenenr@shutdown ~]$ls /etc/named.conf
ls: /etc/named.conf: No such file or directory
[angenenr@shutdown ~]$ 

From bind.spec:

%ghost %config(noreplace) /etc/named.conf
# ^- Ensure something owns named.conf, even though it may not be installed at all

> I think that differences like this are correct between RHEL releases.

Yes, but they should be documented, IMHO.

> We could discuss the best schema about bind configuration package-ownership. 

I will think about it.

Regards,

Ralph
Comment 8 Adam Tkac 2007-04-27 07:50:09 EDT
Hi, bind update to 5.1 incomming. Could I close this one or you have any ideas
what could be fixed/improved.

Regards, -A-
Comment 9 Steve Siano 2007-11-07 13:48:54 EST
Excellent.  Currently when starting "named" from the Services Configuration
Tool, the error message is

    Locating /var/named/chroot//etc/named.conf failed:
    [FAILED]

For the "bind" update to 5.1, please verify that "named" can be started and
stopped from this tool.
Comment 10 Adam Tkac 2007-11-08 05:30:18 EST
(In reply to comment #9)
> Excellent.  Currently when starting "named" from the Services Configuration
> Tool, the error message is
> 
>     Locating /var/named/chroot//etc/named.conf failed:
>     [FAILED]
> 
> For the "bind" update to 5.1, please verify that "named" can be started and
> stopped from this tool.

Did you configure named? Please read
http://www.isc.org/index.pl?/sw/bind/FAQ.php, question "Isn't "make install"
supposed to generate a default named.conf?" If you want use named as caching
server please install caching-nameserver package. If you need something else
configure named yourself.
Comment 11 cheperobert 2010-10-21 16:02:29 EDT
Sorry for insisting on this issue.

But I think that should solve or give information about installing the file "named.conf", still the same problem


[root@iccae /]# uname -r
2.6.18-194.17.1.el5
[root@iccae /]# rpm -qa | grep bind*
bind-utils-9.3.6-4.P1.el5_4.2
binutils-2.17.50.0.6-14.el5
bind-libs-9.3.6-4.P1.el5_4.2
bind-9.3.6-4.P1.el5_4.2
bind-chroot-9.3.6-4.P1.el5_4.2
ypbind-1.19-12.el5
[root@iccae /]# rpm -qf /etc/named.conf
bind-9.3.6-4.P1.el5_4.2
[root@iccae /]# locate  named.conf
/etc/dbus-1/system.d/named.conf
/usr/share/doc/bind-9.3.6/sample/etc/named.conf
/usr/share/logwatch/default.conf/services/named.conf
/usr/share/man/man5/named.conf.5.gz
[root@iccae /]# service named start
Locating /var/named/chroot//etc/named.conf failed:
                                                           [FALLÓ]
[root@iccae /]# rpm -ql bind
/etc/dbus-1/system.d/named.conf
/etc/logrotate.d/named
/etc/named.conf
/etc/rc.d/init.d/named
/etc/rndc.conf
/etc/rndc.key
/etc/sysconfig/named
/usr/sbin/bind-chroot-admin
/usr/sbin/dns-keygen
/usr/sbin/dnssec-keygen
/usr/sbin/dnssec-signzone
/usr/sbin/lwresd
/usr/sbin/named
/usr/sbin/named-bootconf
/usr/sbin/named-checkconf
/usr/sbin/named-checkzone
/usr/sbin/namedGetForwarders
/usr/sbin/namedSetForwarders
/usr/sbin/rndc
/usr/sbin/rndc-confgen
/usr/share/dbus-1/services/named.service
/usr/share/doc/bind-9.3.6
/usr/share/doc/bind-9.3.6/CHANGES
/usr/share/doc/bind-9.3.6/COPYRIGHT
/usr/share/doc/bind-9.3.6/README
/usr/share/doc/bind-9.3.6/README.DBUS
/usr/share/doc/bind-9.3.6/arm
/usr/share/doc/bind-9.3.6/arm/Bv9ARM-book.xml
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch01.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch02.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch03.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch04.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch05.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch06.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch07.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch08.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.ch09.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.html
/usr/share/doc/bind-9.3.6/arm/Bv9ARM.pdf
/usr/share/doc/bind-9.3.6/arm/Makefile
/usr/share/doc/bind-9.3.6/arm/Makefile.in
/usr/share/doc/bind-9.3.6/arm/README-SGML
/usr/share/doc/bind-9.3.6/arm/latex-fixup.pl
/usr/share/doc/bind-9.3.6/misc
/usr/share/doc/bind-9.3.6/misc/Makefile
/usr/share/doc/bind-9.3.6/misc/Makefile.in
/usr/share/doc/bind-9.3.6/misc/dnssec
/usr/share/doc/bind-9.3.6/misc/format-options.pl
/usr/share/doc/bind-9.3.6/misc/ipv6
/usr/share/doc/bind-9.3.6/misc/migration
/usr/share/doc/bind-9.3.6/misc/migration-4to9
/usr/share/doc/bind-9.3.6/misc/options
/usr/share/doc/bind-9.3.6/misc/options.edns
/usr/share/doc/bind-9.3.6/misc/rfc-compliance
/usr/share/doc/bind-9.3.6/misc/roadmap
/usr/share/doc/bind-9.3.6/misc/sdb
/usr/share/doc/bind-9.3.6/misc/sort-options.pl
/usr/share/doc/bind-9.3.6/sample
/usr/share/doc/bind-9.3.6/sample/etc
/usr/share/doc/bind-9.3.6/sample/etc/named.conf
/usr/share/doc/bind-9.3.6/sample/etc/named.rfc1912.zones
/usr/share/doc/bind-9.3.6/sample/etc/named.root.hints
/usr/share/doc/bind-9.3.6/sample/etc/rndc.conf
/usr/share/doc/bind-9.3.6/sample/var
/usr/share/doc/bind-9.3.6/sample/var/named
/usr/share/doc/bind-9.3.6/sample/var/named/data
/usr/share/doc/bind-9.3.6/sample/var/named/localdomain.zone
/usr/share/doc/bind-9.3.6/sample/var/named/localhost.zone
/usr/share/doc/bind-9.3.6/sample/var/named/my.external.zone.db
/usr/share/doc/bind-9.3.6/sample/var/named/my.internal.zone.db
/usr/share/doc/bind-9.3.6/sample/var/named/named.broadcast
/usr/share/doc/bind-9.3.6/sample/var/named/named.ip6.local
/usr/share/doc/bind-9.3.6/sample/var/named/named.local
/usr/share/doc/bind-9.3.6/sample/var/named/named.root
/usr/share/doc/bind-9.3.6/sample/var/named/named.zero
/usr/share/doc/bind-9.3.6/sample/var/named/slaves
/usr/share/doc/bind-9.3.6/sample/var/named/slaves/my.ddns.internal.zone.db
/usr/share/doc/bind-9.3.6/sample/var/named/slaves/my.slave.internal.zone.db
/usr/share/man/man5/named.conf.5.gz
/usr/share/man/man5/rndc.conf.5.gz
/usr/share/man/man8/dnssec-keygen.8.gz
/usr/share/man/man8/dnssec-signzone.8.gz
/usr/share/man/man8/lwresd.8.gz
/usr/share/man/man8/named-checkconf.8.gz
/usr/share/man/man8/named-checkzone.8.gz
/usr/share/man/man8/named.8.gz
/usr/share/man/man8/rndc-confgen.8.gz
/usr/share/man/man8/rndc.8.gz
/var/log/named.log
/var/named
/var/named/data
/var/named/slaves
/var/run/named
[root@iccae /]# 



Regards,
Comment 12 Adam Tkac 2010-10-27 04:55:33 EDT
(In reply to comment #11)
> Sorry for insisting on this issue.
> 
> But I think that should solve or give information about installing the file
> "named.conf", still the same problem

I understand it's not easy to write named.conf from scratch. Can you please try to install "caching-nameserver" package and use /etc/named.caching-nameserver.conf as a template (cp /etc/named.caching-nameserver.conf /etc/named.conf)?

In RHEL-6 bind contains /etc/named.conf template but I don't think it's needed to modify RHEL-5.
Comment 13 cheperobert 2010-10-27 10:48:57 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Sorry for insisting on this issue.
> > 
> > But I think that should solve or give information about installing the file
> > "named.conf", still the same problem
> 
> I understand it's not easy to write named.conf from scratch. Can you please try
> to install "caching-nameserver" package and use
> /etc/named.caching-nameserver.conf as a template (cp
> /etc/named.caching-nameserver.conf /etc/named.conf)?
> 
Thanks works great installing the package "caching-nameserver"

Regards,


> In RHEL-6 bind contains /etc/named.conf template but I don't think it's needed
> to modify RHEL-5.

Note You need to log in before you can comment on or make changes to this bug.